| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions | Variables
LPC18xx/43xx Clock APIs example
Misc examples

## Detailed Description

Example description
This example demonstrates the use of Clock APIs to control the CGU settings. This example uses UART console to print the outputs.

Special connection requirements
There are no special connection requirements for this example.

Build procedures:
LPC18xx/43xx example quickstart for Keil uVision4
LPC18xx/43xx example quickstart for IAR EWARM
LPC18xx/43xx example quickstart for Code Red Xpresso

Supported boards and board setup:
Hitex 1850 evaluation boards
Hitex 4350 evaluation boards
Keil 1857 evaluation boards
Keil 4357 evaluation boards

Submitting LPCOpen issues:
Community support for LPCOpen

## Data Structures
struct | CLKIN_NAME_T
struct | BASECLK_INFO_T
struct | CCUCLK_INFO_T

## Functions
int | main (void)
| Main entry point.

## Variables
static char | menu []
static CLKIN_NAME_T | clkin_info []
static BASECLK_INFO_T | baseclk_info []
static CCUCLK_INFO_T | ccu_clk_info []

## Function Documentation

int main | ( | void |  | ) |

Main entry point.

Main program body.

Returns
  Nothing

Definition at line 227 of file app_clock_apis.c.

## Variable Documentation

BASECLK_INFO_T baseclk_info[]
| static

Definition at line 107 of file app_clock_apis.c.

CCUCLK_INFO_T ccu_clk_info[]
| static

Definition at line 139 of file app_clock_apis.c.

CLKIN_NAME_T clkin_info[]
| static

Initial value:
= {
{CLKIN_32K, "Ext 32KHz", },
{CLKIN_IRC, "Int IRC", },
{CLKIN_ENET_RX, "ENET_RX", },
{CLKIN_ENET_TX, "ENET_TX", },
{CLKIN_CLKIN, "Ext GPCLKIN", },
{CLKIN_CRYSTAL, "Crystal", },
{CLKIN_USBPLL, "USB PLL", },
{CLKIN_AUDIOPLL, "Audio PLL", },
{CLKIN_MAINPLL, "Main PLL", },
{CLKIN_IDIVA, "IDIV A", },
{CLKIN_IDIVB, "IDIV B", },
{CLKIN_IDIVC, "IDIV C", },
{CLKIN_IDIVD, "IDIV D", },
{CLKIN_IDIVE, "IDIV E", },
}

Definition at line 90 of file app_clock_apis.c.

char menu[]
| static

Initial value:
=
"********************************************************************************\n\r"
"Clock APIs demo \n\r"
"Demonstrates how to setup, enable, disable clocks, reading the clock frequencies\n\r"
"********************************************************************************\n\r"

Definition at line 84 of file app_clock_apis.c.